#include <bits/stdc++.h>
using namespace std;
int ucitaj()
{
	int rez=0;
	char ch;
	while(true)
	{
		ch=getchar();
		if (ch<'0' or ch>'9') break;
		rez=rez*10+(ch-'0');
	}
	return rez;
}
int main()
{
	int i,n,p;
	n=ucitaj();
	for (i=0;i<2*(n-1);i++)
	{
		p=ucitaj();
	}
	if (n%2==0)
	{
		printf("%d",n/2-1);
	}
	else
	{
		printf("%d",n/2);
	}
}